Subject: Re: [PATCH RFC net] docs: netdev: document guidance on cleanup patches

From: Simon Horman <[email-masked]>
Date: Tue, 8 Oct 2024 13:30:25 +0100

On Mon, Oct 07, 2024 at 09:54:12AM -0700, Jakub Kicinski wrote:
> On Mon, 7 Oct 2024 17:15:01 +0100 Simon Horman wrote:
> > > > We could merge or otherwise rearrange that section with the one proposed by
> > > > this patch. But I didn't feel it was necessary last week.  
> > > 
> > > Somewhat, we don't push back on correct use of device-managed APIs.
> > > But converting ancient drivers to be device-managed just to save 
> > > 2 or 3 LoC is pointless churn. Which in my mind falls squarely
> > > under the new section, the new section is intended for people sending
> > > trivial patches.  
> > 
> > Thanks, I can try and work with that. Do you want to call out older drivers
> > too? I was intentionally skipping that for now. But I do agree it should
> > be mentioned at some point.
> 
> What is and isn't considered old may be hard to determine. I hope that
> your existing "not part of other work" phrasing will give us the same
> effect, as there's usually no other work for old drivers.

I agree that would be very subjective. And your point about
the presence of other work is well made.

I'll work on v2 based on this short discussion.

Thanks.